# MatSORType

What type of (S)SOR to perform

### Synopsis

    typedef enum {SOR_FORWARD_SWEEP=1,SOR_BACKWARD_SWEEP=2,SOR_SYMMETRIC_SWEEP=3,
                  SOR_LOCAL_FORWARD_SWEEP=4,SOR_LOCAL_BACKWARD_SWEEP=8,
                  SOR_LOCAL_SYMMETRIC_SWEEP=12,SOR_ZERO_INITIAL_GUESS=16,
                  SOR_EISENSTAT=32,SOR_APPLY_UPPER=64,SOR_APPLY_LOWER=128} MatSORType;

May be bitwise ORd together

Any additions/changes here MUST also be made in include/finclude/petscmat.h

MatSORType may be bitwise ORd together, so do not change the numbers

### See Also

MatRelax(), MatPBRelax()

Level:beginner
Location: src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages